org.eclipse.emf.cdo.spi.server

## Interface InternalRepositorySynchronizer

- All Superinterfaces:
    IContainer<CDOSession>, IDeactivateable, ILifecycle, INotifier, IRepositorySynchronizer

      public interface InternalRepositorySynchronizer
      extends IRepositorySynchronizer, ILifecycle

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `ILifecycle.DeferrableActivation`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.IRepositorySynchronizer

      `DEFAULT_MAX_RECOMMITS, DEFAULT_RECOMMIT_INTERVAL, DEFAULT_RETRY_INTERVAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `InternalSynchronizableRepository` | `getLocalRepository()`
    `InternalCDOSession` | `getRemoteSession()`
    `void` | `setLocalRepository(InternalSynchronizableRepository localRepository)`
    `void` | `setRemoteSessionConfigurationFactory(CDOSessionConfigurationFactory remoteSessionConfigurationFactory)`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IRepositorySynchronizer

      `getMaxRecommits, getRecommitInterval, getRemoteSessionConfigurationFactory, getRetryInterval, isRawReplication, setMaxRecommits, setRawReplication, setRecommitInterval, setRetryInterval`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

      `activate, deactivate, getLifecycleState, isActive`

- - ### Method Detail

    - #### getLocalRepository

          InternalSynchronizableRepository getLocalRepository()

      Specified by:
        `getLocalRepository` in interface `IRepositorySynchronizer`

    - #### setLocalRepository

          void setLocalRepository(InternalSynchronizableRepository localRepository)

    - #### setRemoteSessionConfigurationFactory

          void setRemoteSessionConfigurationFactory(CDOSessionConfigurationFactory remoteSessionConfigurationFactory)

    - #### getRemoteSession

          InternalCDOSession getRemoteSession()

      Specified by:
        `getRemoteSession` in interface `IRepositorySynchronizer`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html